[R] Problems intalling on Suse 10.3 x86_64 OS

Stefan Grosse singularitaet at gmx.net
Fri May 15 13:43:38 CEST 2009


On Thu, 14 May 2009 12:32:18 -0700 (PDT) PDXRugger <J_R_36 at hotmail.com>
wrote:

P> 
P> Alright, i am unsure of the posting rules for these types of
P> questions but i will be as help ful as possible.  My windows based
P> system cant handle a model i am running so i am trying to install R

Why? To many data?

P> on our Linux based machine but i have encountered the following and
P> i dont know linux much but my intuition is that i need to install
P> some other files first.  Any thoughts?

P>     There are no installable providers of libtcl8.5.so()(64bit) for

It seems that you need a more recent tcl/tk Installation. Suse 10.3 is
a little bit old. Maybe 8.5 was not included. So you could see if you
find a newer version. Sometimes you can take the repository of the more
recent opensuse version and install newer versions from there. 

Unfortunately yast is very sensitive on dependencies. From my
experience the smart package manager is faster and less touchy than
Yast/zypper on the older Opensuse systems.

Alternatively you could upgrade you distro, install another one or run
a live-System. You could run a live Usb-Ubuntu to run your programs.
Depends on what time you have and how flexible your admins are...

hth
Stefan



More information about the R-help mailing list